<?php
session_start();
include "./_pdo.php";

// if config db exists, connect to it and grab list of mods
if (file_exists("d2im.db")) {
	PDO_Connect("sqlite:d2im.db");

	$sql = "SELECT * FROM d2im";
	$mods = PDO_FetchAll($sql);

	if (!empty($_POST)) {
		$sql = "SELECT * FROM d2im WHERE `modname`='{$_POST['modname']}'";
		$mod = PDO_FetchRow($sql);

		if (isset($_POST['deletemod'])) {
			$sql = "DELETE FROM d2im WHERE modname='{$_POST['modname']}'";
			PDO_Execute($sql);
			unlink($_POST['modname'] . ".db");
			header("Refresh:0");
		} else {

			$_SESSION['modname'] = $mod['modname'];
			$_SESSION['path'] = $mod['path'];
			header("Location: /");
		}
	}
} else {
	// if config db does not exist, go to config page
	header("Location: /src/D2Config.php");
}
?>
<!doctype html>
<html lang="en">
	<?php
	/* Require the <head> section */
	require_once "src/head.php";
	?>
    <body style="background: white;">
		<div class="center container container-top">

			<h1><img src="/img/Diablo2.png" style="float:left">D2 Item Maker, v3. By HashCasper</h1>	
			<a class="btn btn-outline-danger" style="color:red; font-size: 18px;float:right;" href="/">X</a>
			<hr style="margin: 60px;">
			<div class="offset-2 col-8">
				<h2>Manage Mods</h2>
				<div style="margin-top: 20px;" class="ctrl-config">
					<form class="" enctype="multipart/form-data" style="font-family: Lato; font-size: 14pt;text-align:center;" action="" method="post">
						<p>
							<select id="mods" name="modname" required="required" class="custom-select">							<?php foreach ($mods as $mod) { ?>
									<option value="<?php echo $mod['modname'] ?>">
										<?php echo $mod['modname'] ?>: <?php echo $mod['path'] ?>
									</option>
								<?php } ?>
							</select>
						</p>
						<p>
							<input type="submit" value="Select" name="submit" class="btn-outline-success btn">

							<a style="font-weight: bold;" class="btn btn-outline-warning" href="/">Cancel</a>
							<input style="float:right;" type="submit" value="Delete Mod" name="deletemod" class="btn btn-outline-danger">
						</p>
						<p style="font-family: lato;font-size: 14px;">Set active mod for D2Modder. <br>If you delete a mod, select another mod to make it active. <br>Deleting a mod here will only delete the .db database file, and remove the mod entry from D2Modder. <br>Your mod files will not be deleted.</p>
					</form>
				</div>
			</div>
		</div>
	</body>
</html>